Bug 1431743 - Review Request: golang-github-cznic-zappy - Block-based compression format implementation in Go
Summary: Review Request: golang-github-cznic-zappy - Block-based compression format im...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1246549 (view as bug list)
Depends On: 1431740
Blocks: 1431745
TreeView+ depends on / blocked
 
Reported: 2017-03-13 16:45 UTC by Fabio Valentini
Modified: 2020-02-21 07:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-09 20:33:25 UTC
Type: ---
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-03-13 16:45:30 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-zappy.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-zappy-0-0.1.git2533cb5.fc25.src.rpm

Description: Block-based compression format implementation in Go

Fedora Account System Username: decathorpe


This package is one of the (indirect) dependencies of syncthing. I can't provide a koji scratch build yet, since it depends on golang-github-cznic-internal.

Comment 1 Fabio Valentini 2017-05-16 17:12:42 UTC
koji scratch build for rawhide, now all dependencies are available:
https://koji.fedoraproject.org/koji/taskinfo?taskID=19588373

Comment 2 Fabio Valentini 2017-05-17 17:03:22 UTC
Updated .spec and .src.rpm files for new guidelines (snapshot date included in "Release" tag):

Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-zappy.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc26.src.rpm


I've also included a more verbose comment as to why I have disabled tests and the unit-test subpackage.

Comment 3 Athos Ribeiro 2017-07-04 14:09:39 UTC
Hi Fabio, as I replied in the devel mailing list review swap request, I am taking this one.

- Upstream also ships the snappy license text, since it is a fork of it. Is there any reason you did not ship it? I am not sure if that is a must, but the BSD license text does mention that one must ship the copyright information on redistribution (which is the only thing that changes between the two files).

Other than that, the package looks good. I will conclude the review as soon as you provide some feedback on the license issue.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: golang-github-cznic-zappy-devel-0-0.1.20160723.git2533cb5.fc27.noarch.rpm
          golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc27.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
golang-github-cznic-zappy-devel (rpmlib, GLIBC filtered):
    golang(github.com/cznic/internal/buffer)

Provides
--------
golang-github-cznic-zappy-devel:
    golang(github.com/cznic/zappy)
    golang-github-cznic-zappy-devel

Source checksums
----------------
https://github.com/cznic/zappy/archive/2533cb5b45cc6c07421468ce262899ddc9d53fb7/cznic-zappy-2533cb5.tar.gz :
  CHECKSUM(SHA256) this package     : 588bfb429a99c00174277f2c22507fe3b8f0ecb468ab8f906d13f2e9368f5679
  CHECKSUM(SHA256) upstream package : 588bfb429a99c00174277f2c22507fe3b8f0ecb468ab8f906d13f2e9368f5679

Comment 4 Fabio Valentini 2017-07-04 14:15:40 UTC
Thanks for looking at this package!

You're of course right, I missed the additional LICENSE file - is changing the %license line to

  %license LICENSE SNAPPY-GO-LICENSE

before importing and building sufficient, or do you want an updated .spec and SRPM file for the review?

Comment 5 Athos Ribeiro 2017-07-04 14:27:36 UTC
(In reply to Fabio Valentini from comment #4)
> You're of course right, I missed the additional LICENSE file - is changing
> the %license line to
> 
>   %license LICENSE SNAPPY-GO-LICENSE
> 
> before importing and building sufficient, or do you want an updated .spec
> and SRPM file for the review?

The first is enough.

Package approved!

If you are still up for reviewing one of my packages, I would like to have [1] reviewed. It is a (very) short python package.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1434410

Comment 6 Fabio Valentini 2017-07-04 15:12:09 UTC
Thanks for the review, I'll look at your package as soon as I have some time!

Comment 7 Gwyn Ciesla 2017-07-04 21:27:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-cznic-zappy

Comment 8 Fedora Update System 2017-07-05 11:57:29 UTC
golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1340ee925b

Comment 9 Fedora Update System 2017-07-05 18:49:26 UTC
golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1340ee925b

Comment 10 Fedora Update System 2017-07-06 03:53:07 UTC
golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c0cf3a18e9

Comment 11 Fedora Update System 2017-07-06 03:53:42 UTC
golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0688e785f5

Comment 12 Fedora Update System 2017-07-14 13:22:59 UTC
golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-07-14 16:49:01 UTC
golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-07-14 18:22:12 UTC
golang-github-cznic-zappy-0-0.1.20160723.git2533cb5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Elliott Sales de Andrade 2020-02-21 07:25:27 UTC
*** Bug 1246549 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.